<?php

namespace Teknisa\DF\Controllers;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\DF\Services\RelacionamentoProdXSystaxService;

class RelacionamentoProdXSystaxController extends \Teknisa\DF\Controllers\TeknisaCrud {
    
    protected $service;
    
    public function __construct(RelacionamentoProdXSystaxService $service){
      
        $this->service = $service;
    }
    
    
    public function findOrigem($request, $response){
        $listaorigem = $this-> service -> fieldOrigem();
        $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('findOrigem', $listaorigem));
    }
    
    public function updateTipoItemProdCDDS(Request $request, Response $response){
        
        $row = $request->getRow();
        
        $CDTPITEMPROD   = $row["CDTPITEMPROD"];
        $NMTPITEMPROD   = $row["NMTPITEMPROD"];
        $CDORIGEMSYSTAX = $row["CDORIGEMSYSTAX"];
        $DSORIGEMSYSTAX = $row["DSORIGEMSYSTAX"];
        
        $this-> service -> updataTIPOITEMPROD($CDTPITEMPROD, $NMTPITEMPROD, $CDORIGEMSYSTAX, $DSORIGEMSYSTAX);
    }
    
}